# vim: set sw=4 ts=4 et:
# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           shntool
Summary:        Shntool is a multi-purpose WAVE data processing and reporting utility
Version:        3.0.10
Release:        3.8
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://www.etree.org/shnutils/shorten/
# http://www.etree.org/shnutils/shntool/dist/src/%{name}-%{version}.tar.gz
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/build-root-%{name}
BuildRequires:  bonk
BuildRequires:  flac
BuildRequires:  kexis
BuildRequires:  libmac2 mac
BuildRequires:  shorten
BuildRequires:  sox
BuildRequires:  ttaenc
BuildRequires:  wavpack
Requires:       bonk
Requires:       flac
Requires:       kexis
Requires:       mac
Requires:       shorten
Requires:       sox
Requires:       ttaenc
Requires:       wavpack
%ifarch %ix86
BuildRequires:  mp4als
Recommends:     mp4als
%endif

%description
shntool is a multi-purpose WAVE data processing and reporting
utility. File formats are abstracted from its core, so it can
process any file that contains WAVE data, compressed or not -
provided there exists a format module to handle that particular
file type.

%prep
%setup -q

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall


%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc doc/*
%{_bindir}/shncat
%{_bindir}/shncmp
%{_bindir}/shnconv
%{_bindir}/shncue
%{_bindir}/shnfix
%{_bindir}/shngen
%{_bindir}/shnhash
%{_bindir}/shninfo
%{_bindir}/shnjoin
%{_bindir}/shnlen
%{_bindir}/shnpad
%{_bindir}/shnsplit
%{_bindir}/shnstrip
%{_bindir}/shntool
%{_bindir}/shntrim
%doc %{_mandir}/man1/shntool.1%{ext_man}

%changelog
* Mon Mar 30 2009 toni@links2linux.de
- update to 3.0.10
* Thu Mar 19 2009 toni@links2linux.de
- update to 3.0.9
* Thu Aug 28 2008 toni@links2linux.de
- update to 3.0.8
* Mon Mar  3 2008 toni@links2linux.de
- update to 3.0.7
* Tue Dec 18 2007 toni@links2linux.de
- update to 3.0.6
- added mp4als support
* Fri Nov  9 2007 toni@links2linux.de
- corrected Requires: libmac2
* Mon Oct 22 2007 toni@links2linux.de
- update to 3.0.5
* Sat Sep  8 2007 toni@links2linux.de
- update to 3.0.4
* Fri Sep  7 2007 toni@links2linux.de
- rebuild with new libmac2 package
- openSUSE-10.3 build with wavpack
* Fri Jun  1 2007 toni@links2linux.de
- initial release 3.0.3
